#!/usr/bin/amd64/python2.7
#

#

#
# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#

""" npiv-misc
    Provides helper functions for scripts
"""

import popen2

def parse_find(execstr, sep, targ, tdata):
    """ Parse the output of exec and search for
        the pair of targ and tdata
        Return (Found, data)
    """
    stdw, stdr = popen2.popen2(execstr)
    found = False
    data = None
    for line in stdw.readlines():
        splits = line.split(sep, 1)
        if len(splits) != 2:
            continue
        arg = splits[0].strip()
        data = splits[1].strip()
        if arg == targ and data.find(tdata) != -1:
            found = True
            break
        data = None
    stdw.close()
    stdr.close()
    return (found, data)
